#include<FastLED.h>

#define LED_PIN     3
#define NUM_LEDS    1
#define LED_TYPE    WS2812B
#define COLOR_ORDER GRB
#define BRIGHTNESS  100
CRGB leds[NUM_LEDS];
#define UPDATES_PER_SECOND 100

void setup() 
{
  Serial.begin(9600);
  FastLED.addLeds<LED_TYPE, LED_PIN, COLOR_ORDER>(leds, NUM_LEDS);
  FastLED.setBrightness(  BRIGHTNESS );
}

void loop() 
{
    Serial.print("Start\n");
    for(int i=0;i<=3000;i++)
    {
    static uint8_t hue = 0;
    for(int i = 0; i < NUM_LEDS; i++) 
    {
    leds[i] = CHSV(hue++, 255, 255);
    FastLED.show(); 
    fadeall();
    delay(10);
    }
    }
    for(int i=0;i<20;i++)
    {
      leds[0] = CRGB(0,255,0);
      FastLED.show();
      delay(60000);
    }
    while(1)
    {
      leds[0] = CRGB(255,0,0);
      FastLED.show();
    }
}
void fadeall()
{ 
  for(int i = 0; i < NUM_LEDS; i++) 
  { 
    leds[i].nscale8(250);
  }
}
